Support » Fixing WordPress » Can’t Upgrade to 4.8

  • I have tried several time to upgrade to the latest WP (tried on various WP websites) and get the same error each time (see below).

    My webhosts have tried for days also and have replied saying I should ask on this forum for help
    Their reply..

    I have tried all recommendations suggested by wordpress team. However, error is still there while updating application.
    Additionally, I tried disabling mod security on the server and turned off csf and iptables firewall to make sure that no incoming connection should l block by the server. However, wordpress upgrade is still failing.
    I suggest that, you to check this issue with wordpress support and ask for suggestions. You can also ask for server side settings that may block upgrade.

    Upgrade error… (i’ve removed website details as is happening on them all)
    Update WordPress

    Warning: An unexpected error occurred. Something may be wrong with WordPress.org or this server’s configuration. If you continue to have problems, please try the support forums. (WordPress could not establish a secure connection to WordPress.org. Please contact your server administrator.) in /home/********/public_html/*********/wp-admin/includes/update.php on line 122
    Downloading update from https://downloads.wordpress.org/release/en_GB/wordpress-4.8.zip…

    Can anyone help?

Viewing 8 replies - 1 through 8 (of 8 total)
  • The full installation package with built-in translation to en_GB is right now missing. A couple of weeks ago there was an issue where almost all localized installation packages went missing.

    Wordaround: Temporarily change site language to en_US and update. After that you can change back to en_GB.

    I’ll ping the en_GB team to rebuild their release for 4-8.

    EditAdd: Sorry, I was wrong. the additional characters after the en of the link messed up the link. The installation package is there.
    You may still attempt to update via en_US.

    You may also try a manual update. More info at: https://codex.wordpress.org/Updating_WordPress

    • This reply was modified 2 years, 3 months ago by  Tor-Bjorn Fjellner. Reason: Added more info

    Sorry,how do I change from GB to US version?

    Thanks for the quick reply.

    Settings -> General

    To expand on Tor-Björn’s post:

    Go to [your site]/wp-admin/options-general.php and select your language.

    Screenshot:
    Screenshot of the Settings page

    • This reply was modified 2 years, 3 months ago by  Patrick.
    • This reply was modified 2 years, 3 months ago by  Patrick.

    Thank you.

    Change to English US and still get the same update error.
    Am convinced it is a server problem as until this last two weeks I could not install plugins either unless I downloaded the zip and the uploaded it myself. For some reason this has sorted itself out and I can add plugins by searching on WP site now, but still this upgrade issue continues. Problem is webhosts say they have tried everything to sort it and to contact you guys.

    Hi,

    Can anyone help??

    Thanks

    If you’re convinced it’s a server issue, then you should probably continue nagging your hosting company.

    But they say they have tried everything they can think of and to ask on here.

    The error message always says:
    in /home/********/public_html/*********/wp-admin/includes/update.php on line 122

    Here is the info from line 122 in update.php file
    );

    Full update.php text in case anyone can spot a problem there (this is the same for all my wordpress websites)

    [Moderated: Giant paste removed. (1) it is not necessary to paste core files; the error indicates that this is where the error was detected, not where it occurred and (2) when pasting is called for, use http://gist.github.com and paste the link to that here. ]

    • This reply was modified 2 years, 3 months ago by  Steve Stern. Reason: removed giant paste
Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Can’t Upgrade to 4.8’ is closed to new replies.